
%define version 1.2.0
%define rel	2
%define subrel	1

Name:		cdemu-daemon
Version:	%version
Summary:	Userspace daemon part of the userspace-cdemu suite
Release:	%mkrel %rel
Source:		http://downloads.sourceforge.net/cdemu/%name-%version.tar.bz2
Source1:	cdemud.init
Source2:	cdemud.sysconfig
Patch1:		cdemu-daemon-1.2.0-mdv-format-security.patch
# https://qa.mandriva.com/show_bug.cgi?id=60818
Patch2:		cdemu-daemon-r664-increase-max-sectors.patch
Group:		Emulators
License:	GPLv2+
URL:		http://cdemu.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	mirage-devel >= %version
BuildRequires:	glib2-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	daemon-devel
BuildRequires:	libao-devel
BuildRequires:	libsysfs-devel
Obsoletes:	dkms-cdemu < 0.9
Requires:	rpm-helper
Requires:	kmod(vhba)
# No actual conflict, but kcdemu works only with old cdemu:
Conflicts:	kcdemu < 0.4.0-5

%description
The daemon receives SCSI commands from kernel module and processes
them, passing the requested data back to the kernel.

Daemon implements the actual virtual device; one instance per each
device registered by kernel module. It uses libMirage, an image
access library that is part of userspace-cdemu suite, for the image
access (e.g. sector reading).

Daemon is controlled through methods that are exposed via D-BUS. It
is written in C and based on GLib (and thus GObjects), but being
controlled over D-BUS, it allows for different clients written in
different languages.

%prep
%setup -q
%patch1 -p1
%patch2 -p2

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std

install -d -m755 %{buildroot}%{_initrddir}
install -d -m755 %{buildroot}%{_sysconfdir}/sysconfig

install -m755 %SOURCE1 %{buildroot}%{_initrddir}/cdemud
install -m644 %SOURCE2 %{buildroot}%{_sysconfdir}/sysconfig/cdemud

%clean
rm -rf %{buildroot}

%post
%_post_service cdemud

%preun
%_preun_service cdemud

%files
%defattr(-,root,root)
%doc README AUTHORS
%config(noreplace) %{_sysconfdir}/sysconfig/cdemud
%config %{_sysconfdir}/dbus-1/system.d/cdemud-dbus.conf
%{_initrddir}/cdemud
%{_bindir}/cdemud
%{_mandir}/man8/cdemud.8*


%changelog
* Sat Sep 04 2010 Anssi Hannula <anssi@mandriva.org> 1.2.0-2.1mdv2010.1
+ Revision: 575726
- fix corrupted files in mounted cd images (bug #60818)

* Sun Mar 28 2010 Funda Wang <fwang@mandriva.org> 1.2.0-2mdv2010.1
+ Revision: 528378
- rebuild

* Thu Dec 03 2009 Funda Wang <fwang@mandriva.org> 1.2.0-1mdv2010.1
+ Revision: 472918
- new version 1.2.0

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 1.1.0-2mdv2010.0
+ Revision: 436973
- rebuild

* Tue Jan 27 2009 Guillaume Bedot <littletux@mandriva.org> 1.1.0-1mdv2009.1
+ Revision: 334137
- Fix buildrequires
- require rpm-helper, chkconfig line
- Release 1.1.0

* Sat Apr 26 2008 Anssi Hannula <anssi@mandriva.org> 1.0.0-1.svn292.2mdv2009.0
+ Revision: 197782
- fix infinite recursion in initscript

* Wed Apr 23 2008 Anssi Hannula <anssi@mandriva.org> 1.0.0-1.svn292.1mdv2009.0
+ Revision: 197015
- initial Mandriva release

